Bug 723084 - RFE: bookmarkable messages
RFE: bookmarkable messages
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: Sprint-25
: 2.3
Assigned To: Patrick Huang
Alex Eng
:
Depends On:
Blocks: 844553
  Show dependency treegraph
 
Reported: 2011-07-18 21:30 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:35 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.3.3-SNAPSHOT (20130521-0020)
Doc Type: Bug Fix
Doc Text:
Story Points: 8
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-18 21:30:17 EDT
Description of problem:
The messages should be book-markable for easy access and enable various functionalities like: go to last editing place.

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT
Comment 1 Patrick Huang 2013-03-12 21:18:43 EDT
Just write down what I remember from previous meetings and what I encounter so far:

* We don't want to push to history for every translation unit navigation (to avoid spamming browser history stack). It will have a button or something on each row. If user clicks it then it will push to history and available for user to bookmark.

Concern 1: once user open that bookmark, it should select the row. But after that if things changed, i.e. selecting a different row or start using message filter which in result changes history url and trans unit table, the bookmarked text flow is no longer valid. Should we remove it from url/history?

Concern 2: bookmarked text flow may become obsolete. What do we do with those ones. Notify user the bookmark is no longer valid? Ignore the process and select first row of table?
Comment 2 Patrick Huang 2013-03-14 02:17:13 EDT
committed into master:
https://github.com/zanata/zanata/commit/c64105fcb948be178a3ff6a7bf9e5ef522ce7b21
https://github.com/zanata/zanata/commit/97b3e285bde48c3d9d7c24bef56ed2a45df40fd0
https://github.com/zanata/zanata/commit/aba0adff88cc577432bf8b786fbfff07284aae29
https://github.com/zanata/zanata/commit/7af3a59b144f1ba018b572f05f9e7cfdcad0430e

It can now load from bookmark. On each row in editor, there is also a icon next to trans unit details bar to allow user to bookmark a particular row.

If the bookmarked text flow become invalid, it will ignore it for now.
Comment 3 Alex Eng 2013-04-02 23:33:35 EDT
Verified in  2.3-SNAPSHOT (20130403-1306).
Comment 4 Sean Flanigan 2013-05-05 20:10:30 EDT
(From pahuang's email)

https://github.com/zanata/zanata/commit/86fe494d0ba18a4444c280234a32169231dc53d8

To test:
1. In editor, bookmark a message that is on current page and remember it.
2. Go to project search page and search a term that will return the bookmarked message as result.
3. Click the edit icon in search result table for that message
Comment 5 Ding-Yi Chen 2013-05-06 00:32:22 EDT
Tested with Zanata version 2.3.2-SNAPSHOT (20130506-1140)

Occasionally, multiple cursors blinking in different rows, yet none got input focus.

Steps to reproduce:
Use Project Hibernate Core, document "content/events" as example.

1. In editor, find a string that appears in multiple messages.
   (e.g. "Interceptors")

2. Move the cursor to the message that has the string. (e.g 1st row)

3. Switch  "project-wide search & replace" mode, and search "Interceptors"

4. Click "edit" icon on the 1st match in document "content/events"
   That will lead to the 1st row.

5. Switch  "project-wide search & replace" mode again.

6. Click "edit" icon on the 2nd match in document "content/events"
   That will lead to the 3rd row.

Actual:
Both 1st and 3rd row have cursors. But none of them respond to keypress.

Expected:
3rd row has cursor and input focus.

Reassigned
Comment 6 Patrick Huang 2013-05-07 01:13:13 EDT
revert the optimization
https://github.com/zanata/zanata/commit/9eaf756d300e29577e1201149e021eba3c126cf3

Code mirror does not play nice in this optimization. Reload the editor will solve the problem.
Comment 7 Patrick Huang 2013-05-07 20:32:54 EDT
Comment 6 cherry picked into release:
https://github.com/zanata/zanata/commit/a7d39aee8406577ba1458d310e8da2c5afb0fe74
Comment 8 Ding-Yi Chen 2013-05-08 00:35:11 EDT
VERIFIED with Zanata version 2.3.2-SNAPSHOT (20130508-1032)
and Zanata version 3.0.0-SNAPSHOT (20130508-1233)
Comment 9 Sean Flanigan 2013-05-16 19:55:15 EDT
Testing 2.3.2, I just got two cursors again:

1. Search for 'a'
2. "View in editor"
3. Press Alt-Down to move down to the second row

Result: two blinking cursors instead of one.
Comment 11 Patrick Huang 2013-05-17 01:09:21 EDT
Committed into release and merged to master:
https://github.com/zanata/zanata/commit/01e59540151e259dfe76b91807de9925a7cdd2df
Comment 12 Ding-Yi Chen 2013-05-20 20:17:42 EDT
VERIFIED with Zanata version 2.3.3-SNAPSHOT (20130521-0020) and Zanata version 3.0.0-SNAPSHOT (20130521-0035)
Comment 13 Sean Flanigan 2013-11-26 22:13:23 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 14 Sean Flanigan 2013-11-26 22:15:27 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 15 Sean Flanigan 2013-11-26 22:18:43 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 16 Sean Flanigan 2013-11-26 22:23:18 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 17 Sean Flanigan 2013-11-26 22:33:22 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 18 Sean Flanigan 2013-11-26 22:35:39 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.